Bug 1264626 - Gedit blank menu in close screen for unsaved files
Gedit blank menu in close screen for unsaved files
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
23
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-19 09:40 EDT by Onuralp SEZER
Modified: 2016-12-20 09:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:40:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot for Gedit problem (26.71 KB, image/jpeg)
2015-09-19 09:40 EDT, Onuralp SEZER
no flags Details

  None (edit)
Description Onuralp SEZER 2015-09-19 09:40:04 EDT
Created attachment 1075198 [details]
Screenshot for Gedit problem

Description of problem:
Blank screen for unsaved files when try to show "save/close" but didn't show up.

Version-Release number of selected component (if applicable):
gedit-3.17.92-1.fc23.x86_64

How reproducible:
When I click the "close button"

Actual results:


Expected results:
It should show options for unsaved file(s)

Additional info:
I have screenshot and on attachment
Comment 1 Jan Kowalski 2015-09-20 15:57:24 EDT
I tried to run "gedit" in "gnome-terminal". I am using "Fedora 24 (Rawhide)" and "gedit-3.17.92-1.fc24.x86_64". The third critical error below is showing every time when I am trying to display this blank frame.

[admin@localhost ~]$ gedit

(gedit:27440): GLib-GObject-CRITICAL **: g_param_spec_internal: assertion '!(flags & G_PARAM_STATIC_NAME) || is_canonical (name)' failed

(gedit:27440): GLib-GObject-CRITICAL **: g_object_class_install_properties: assertion 'pspec != NULL' failed

(gedit:27440): GLib-GObject-CRITICAL **: g_object_new_valist: object class 'GeditCloseConfirmationDialog' has no property named 'unsaved_documents'
Comment 2 Daniel Stone 2015-09-21 09:02:34 EDT
Can confirm on F23:
(gedit:11147): GLib-GObject-CRITICAL **: g_param_spec_internal: assertion '!(flags & G_PARAM_STATIC_NAME) || is_canonical (name)' failed

(gedit:11147): GLib-GObject-CRITICAL **: g_object_class_install_properties: assertion 'pspec != NULL' failed

(gedit:11147): GLib-GObject-CRITICAL **: g_object_new_valist: object class 'GeditCloseConfirmationDialog' has no property named 'unsaved_documents'

This actually makes it impossible to close GEdit with saving, short of killing it from a terminal.

gedit-3.17.92-1.fc23.x86_64
Comment 3 Ilja Sekler 2015-09-23 02:07:21 EDT
This is now fixed upstream https://git.gnome.org/browse/gedit/commit/?id=466722bbe4be1f516166bd54e6726369879a8464 and the fix is in 3.18.

Meanwhile, in F23

# dnf downgrade gedit

alleviates discomfort downgrading gedit to 3.17.90-1.fc23.x86_64 while waiting for 3.18 to land.
Comment 4 Onuralp SEZER 2015-09-23 08:59:50 EDT
I did downgrade for F23 yes ıt's working fine. I'll follow the update when we get fix I can post it here or who make comment first. 

Thank you
Comment 5 Fedora End Of Life 2016-11-24 07:32:38 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 09:40:35 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.